दस्तावेज़ पर जाएँ
API

फ़ॉर्म प्राप्त करें

पूरा फ़ॉर्म: ड्राफ़्ट `document`, विज़िटर को दिखने वाला `publishedDocument`, `settings`, नाम सहित ऑडियंस और ताज़ा `stats`।

GET/forms/{id}

असली कॉल आपके वर्कस्पेस पर चलाता है।

GET /forms/{id}

पूरा फ़ॉर्म: ड्राफ़्ट document, विज़िटर को दिखने वाला publishedDocument, settings, नाम सहित ऑडियंस और ताज़ा stats।

उदाहरण

forms:read चाहिए।

curl
curl "$OE/forms/frm_3b9d2e7a1c4f80d56e2a9b14" -H "$AUTH"
प्रतिक्रिया
{  "object": "form",  "id": "frm_3b9d2e7a1c4f80d56e2a9b14",  "name": "Newsletter sign-up",  "description": null,  "status": "live",  "url": "https://openemail.uk/form/frm_3b9d2e7a1c4f80d56e2a9b14",  "subscribeUrl": "https://api.openemail.uk/subscribe/frm_3b9d2e7a1c4f80d56e2a9b14",  "audienceIds": ["aud_4c1b8e2a7d9f05c36b4e8a71"],  "doubleOptIn": true,  "hasUnpublishedChanges": true,  "document": {    "fields": [      {        "id": "fld_k2m8q4w9z1x7",        "type": "email",        "key": "email",        "label": "Email",        "placeholder": "[email protected]",        "help": null,        "required": true,        "defaultValue": null,        "options": [],        "mapsTo": "email",        "width": "full",        "minLength": null,        "maxLength": null,        "min": null,        "max": null      }    ],    "copy": {      "title": "Join our list",      "description": "News from us, about once a month.",      "submitLabel": "Subscribe",      "successTitle": "You are on the list",      "successMessage": "Thanks for signing up.",      "pendingTitle": "Check your inbox",      "pendingMessage": "Open the email we sent and confirm to finish.",      "closedTitle": "This form is closed",      "closedMessage": "It is not taking new sign-ups right now.",      "footer": null    },    "style": {      "accent": "#18181b",      "background": "#f4f4f5",      "surface": "#ffffff",      "text": "#18181b",      "font": "system",      "radius": "md",      "width": "normal",      "layout": "card",      "align": "left",      "logoUrl": null    }  },  "publishedDocument": { "fields": ["…"], "copy": { "title": "Join the list" }, "style": { "accent": "#18181b" } },  "settings": {    "audienceIds": ["aud_4c1b8e2a7d9f05c36b4e8a71"],    "doubleOptIn": true,    "senderAddress": "[email protected]",    "confirmSubject": "Please confirm your subscription",    "confirmMessage": "Confirm your email address to start getting our messages.",    "confirmButton": "Confirm my subscription",    "successAction": "message",    "redirectUrl": null,    "notifyAddresses": ["[email protected]"]  },  "audiences": [{ "id": "aud_4c1b8e2a7d9f05c36b4e8a71", "name": "Newsletter", "builtin": false }],  "senderIssue": null,  "senderProblem": null,  "stats": { "views": 1840, "submissions": 212, "added": 198, "pending": 14, "lastSubmittedAt": "2026-09-30T16:42:11.000Z" },  "publishedAt": "2026-09-12T08:00:00.000Z",  "createdAt": "2026-09-10T14:20:00.000Z",  "updatedAt": "2026-09-12T08:00:00.000Z"}

senderIssue बताता है कि डबल ऑप्ट-इन फ़ॉर्म अभी पुष्टि ईमेल क्यों नहीं भेज सकता: missing, not_sendable, या not_allowed जब फ़ॉर्म बनाने वाले को उस पते से भेजने की अनुमति न हो। जब वे भेजे जा सकते हों तो यह null होता है, और डबल ऑप्ट-इन बंद होने पर हमेशा null होता है।

किसी दूसरे वर्कस्पेस का फ़ॉर्म, या ऐसा फ़ॉर्म जिसे सदस्य के ऐप ने नहीं बनाया, 404 form_not_found होता है, कभी 403 नहीं।

आपका इनबॉक्स,
आपकी अपनी शर्तों पर।

व्यवसायों, AI, एजेंट और निजी ईमेल के लिए ईमेल इन्फ़्रास्ट्रक्चर। स्केल, निजता और नियंत्रण के लिए बना। वह सब जो ईमेल में पहले दिन से होना चाहिए था।

© 2026 OpenEmail. सर्वाधिकार सुरक्षित।